Ogre::GLPBRTTManager Class Reference

Manager for rendertextures and PBuffers (offscreen rendering contexts) More...

`#include <OgreGLPBRenderTexture.h>`

Inheritance diagram for Ogre::GLPBRTTManager:
[legend]

List of all members.

## Classes

struct | PBRef
| Reference to a PBuffer, with refcount. More...

## Public Member Functions

| GLPBRTTManager (GLSupport *support, RenderTarget *mainwindow)
virtual | ~GLPBRTTManager ()
virtual RenderTexture * | createRenderTexture (const String &name, const GLSurfaceDesc &target, bool writeGamma, uint fsaa)
virtual bool | checkFormat (PixelFormat format)
virtual void | bind (RenderTarget *target)
virtual void | unbind (RenderTarget *target)
void | requestPBuffer (PixelComponentType ctype, size_t width, size_t height)
| Create PBuffer for a certain pixel format and size.
void | releasePBuffer (PixelComponentType ctype)
| Release PBuffer for a certain pixel format.
GLContext * | getContextFor (PixelComponentType ctype, size_t width, size_t height)
| Get GL rendering context for a certain component type and size.
virtual void | getBestDepthStencil (GLenum internalFormat, GLenum *depthFormat, GLenum *stencilFormat)
virtual MultiRenderTarget * | createMultiRenderTarget (const String &name)
| Create a multi render target.
virtual PixelFormat | getSupportedAlternative (PixelFormat format)
| Get the closest supported alternative format.

## Static Public Member Functions

static GLRTTManager & | getSingleton (void)
static GLRTTManager * | getSingletonPtr (void)

## Protected Attributes

GLSupport * | mSupport
| GLSupport reference, used to create PBuffers.
RenderTarget * | mMainWindow
| Primary window reference.
GLContext * | mMainContext
| Primary window context.
PBRef | mPBuffers [PCT_COUNT]
| Type to map each component type to a PBuffer.

## Static Protected Attributes

static GLRTTManager * | msSingleton

## Detailed Description

Manager for rendertextures and PBuffers (offscreen rendering contexts)

Definition at line 53 of file OgreGLPBRenderTexture.h.

## Constructor & Destructor Documentation

Ogre::GLPBRTTManager::GLPBRTTManager | ( | GLSupport * | support,
|  | RenderTarget * | mainwindow
| ) |  |

virtual Ogre::GLPBRTTManager::~GLPBRTTManager | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual void Ogre::GLPBRTTManager::bind | ( | RenderTarget * | target | ) | `[virtual]`

Bind a certain render target.

Implements Ogre::GLRTTManager.

virtual bool Ogre::GLPBRTTManager::checkFormat | ( | PixelFormat | format | ) | `[virtual]`

Check if a certain format is usable as rendertexture format.

Implements Ogre::GLRTTManager.

virtual MultiRenderTarget* Ogre::GLRTTManager::createMultiRenderTarget | ( | const String & | name | ) | `[virtual, inherited]`

Create a multi render target.

Reimplemented in Ogre::GLFBOManager.

virtual RenderTexture* Ogre::GLPBRTTManager::createRenderTexture | ( | const String & | name,
|  | const GLSurfaceDesc & | target,
|  | bool | writeGamma,
|  | uint | fsaa
| ) |  | `[virtual]`

Create a texture rendertarget object.

Implements Ogre::GLRTTManager.

virtual void Ogre::GLRTTManager::getBestDepthStencil | ( | GLenum | internalFormat,
|  | GLenum * | depthFormat,
|  | GLenum * | stencilFormat
| ) |  | `[virtual, inherited]`

Reimplemented in Ogre::GLFBOManager.

Definition at line 87 of file OgreGLRenderTexture.h.

References GL_NONE.

GLContext* Ogre::GLPBRTTManager::getContextFor | ( | PixelComponentType | ctype,
|  | size_t | width,
|  | size_t | height
| ) |  |

Get GL rendering context for a certain component type and size.

static GLRTTManager & Ogre::Singleton< GLRTTManager >::getSingleton | ( | void |  | ) | `[static, inherited]`

Definition at line 90 of file OgreSingleton.h.

static GLRTTManager * Ogre::Singleton< GLRTTManager >::getSingletonPtr | ( | void |  | ) | `[static, inherited]`

Definition at line 92 of file OgreSingleton.h.

virtual PixelFormat Ogre::GLRTTManager::getSupportedAlternative | ( | PixelFormat | format | ) | `[virtual, inherited]`

Get the closest supported alternative format.

If format is supported, returns format.

void Ogre::GLPBRTTManager::releasePBuffer | ( | PixelComponentType | ctype | ) |

Release PBuffer for a certain pixel format.

void Ogre::GLPBRTTManager::requestPBuffer | ( | PixelComponentType | ctype,
|  | size_t | width,
|  | size_t | height
| ) |  |

Create PBuffer for a certain pixel format and size.

virtual void Ogre::GLPBRTTManager::unbind | ( | RenderTarget * | target | ) | `[virtual]`

Unbind a certain render target.

This is called before binding another RenderTarget, and before the context is switched. It can be used to do a copy, or just be a noop if direct binding is used.

Implements Ogre::GLRTTManager.

## Member Data Documentation

GLContext* Ogre::GLPBRTTManager::mMainContext`[protected]`

Primary window context.

Definition at line 93 of file OgreGLPBRenderTexture.h.

RenderTarget* Ogre::GLPBRTTManager::mMainWindow`[protected]`

Primary window reference.

Definition at line 91 of file OgreGLPBRenderTexture.h.

PBRef Ogre::GLPBRTTManager::mPBuffers[PCT_COUNT]`[protected]`

Type to map each component type to a PBuffer.

Definition at line 102 of file OgreGLPBRenderTexture.h.

GLRTTManager * Ogre::Singleton< GLRTTManager >::msSingleton`[static, protected, inherited]`

Definition at line 75 of file OgreSingleton.h.

GLSupport* Ogre::GLPBRTTManager::mSupport`[protected]`

GLSupport reference, used to create PBuffers.

Definition at line 89 of file OgreGLPBRenderTexture.h.

The documentation for this class was generated from the following file:

- OgreGLPBRenderTexture.h

Copyright © 2012 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun Sep 2 2012 07:27:52